> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# periods

> Period values - Day, Week, Month, Quarter, Year

## "periods" MDO List

Period values: Day, Week, Month, Quarter, Year

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PeriodsProvider">PeriodsProvider</see> class.
The name of the MDO list is 'periods'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/periods
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("periods", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name         | StyleHint | ExtraInfo |
| -- | ------------ | --------- | --------- |
| 1  | Day(s)       |           |           |
| 2  | Week(s)      |           |           |
| 3  | Month(s)     |           |           |
| 4  | Quarter(s)   |           |           |
| 5  | Half year(s) |           |           |
| 6  | Year(s)      |           |           |

## Related MDO Lists

* "periodsheadings"
* "periodsheadingswithallitem"
* "periodsheadingswithallitemwithnoselection"
* "periodsheadingswithnoselection"
* "periodswithallitem"
* "periodswithallitemwithnoselection"
* "periodswithnoselection"


## Related topics

- [period](/en/api/mdo-providers/reference/period.md)
- [target_period table](/en/database/tables/target-period.md)
- [Unary time-periods](/en/api/search/odata/unary.md)
- [NSStatusMonitorPeriods](/en/automation/crmscript/reference/CRMScript.NetServer.NSStatusMonitorPeriods.md)
- [Save Status Monitor Periods](/en/api/reference/restful/agent/saint_agent/save-status-monitor-periods.md)
- [Get Status Monitor Periods](/en/api/reference/restful/agent/saint_agent/get-status-monitor-periods.md)
